Subject: rawseq 0.1, a sample sequencer
From: Christian Bolik <[email-masked]>
Date: Mon, 26 Sep 1994 14:18:10 GMT
Newsgroups: comp.os.linux.announce

I have uploaded rawseq-0.1.tar.gz to ftp://sunsite.unc.edu/pub/Linux/Incoming.
I think it should appear in /pub/linux/apps/sound sooner or later.
Below follows the README for rawseq.

                             README for rawseq V0.1
               ==================================================

1. What is it?
--------------

rawseq is a simple sample sequencer, built on top of the absolutely GREAT
soundIt library written by Brad Pitzel (version 0.03 to be exact).
It reads the sequences from ascii files that use a very simple "language" 
for defining sounds, tempo, repetitions and sound events.
Currently only the "raw" sound format is supported.

2. What is required to run rawseq?
----------------------------------

The same as is required for the soundIt library:

1) You need to have your kernel compiled for sound support.

2) You'll need a soundcard capable of digital sound playback, and voxware 2.9
   or greater. Voxware is the sound driver in the linux kernel. If you have
   linux 1.1.32 (or maybe 1.1.33?) or greater, then you have it. Otherwise, you
   can either upgrade your linux kernel, or grab the separate voxware release
   and patch your kernel.

   To check the version of voxware you have, try a 'cat /dev/sndstat'

(copied verbatim from soundIt's README)

Since I have included a binary of rawseq you need the soundIt library
only to recompile.

3. How do I use rawseq?
-----------------------

Before you use rawseq test it:

	./rawseq test.seq
	./rawseq -t 100 -l test.seq

And to hear another version of "rapping Linus":

	./rawseq linus.seq

For a description of available options type

	./rawseq

3.1. The rawseq language
------------------------

Simply have a look at the file test.seq. I have commented it quite heavily,
so this should suffice as a description. Just experiment!
(Have a look at linus.seq too, for some "advanced features".)

4. Acknowledgements
-------------------

Many thanks to Brad Pitzel for his soundIt library (looking forward to
stereo panning and volume control!) and the original version of
"rapping linus"!

Thanks to Linus for that funky sample (oh yeah and also for Linux itself!).
And of course to Hannu for a real time sound driver.

Hope you enjoy rawseq and write a lot of sequences!
May the vibe be with you!

	Christian Bolik ([email-masked])

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.